IPSW-DOWNLOAD-IPSW(1)

NAME
ipsw-download-ipsw - Download and parse IPSW(s) from the internets

SYNOPSIS
ipsw download ipsw [flags]

DESCRIPTION
Download and parse IPSW(s) from the internets

OPTIONS
--decrypt[=false]
    Attempt to decrypt the partial files if keys are available

--dyld[=false]
    Extract dyld_shared_cache(s) from remote IPSW

-a, --dyld-arch=[]
    dyld_shared_cache architecture(s) to remote extract

--fcs-keys[=false]
    Download AEA1 DMG fcs-key pem files

--fcs-keys-json[=false]
    Download AEA1 DMG fcs-keys as JSON

-f, --flat[=false]
    Do NOT perserve directory structure when downloading with --pattern

-h, --help[=false]
    help for ipsw

--ibridge[=false]
    Download iBridge IPSWs

--kernel[=false]
    Extract kernelcache from remote IPSW

--latest[=false]
    Download latest IPSWs

--macos[=false]
    Download macOS IPSWs

-o, --output=""
    Folder to download files to

--pattern=""
    Download remote files that match regex

--show-latest-build[=false]
    Show latest iOS build

--show-latest-version[=false]
    Show latest iOS version

-u, --urls[=false]
    Dump URLs only

--usb[=false]
    Download IPSWs for USB attached iDevices

OPTIONS INHERITED FROM PARENT COMMANDS
--black-list=[]
    iOS device black list

-b, --build=""
    iOS BuildID (i.e. 16F203)

--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

-y, --confirm[=false]
    do not prompt user for confirmation

-d, --device=""
    iOS Device (i.e. iPhone11,2)

--insecure[=false]
    do not verify ssl certs

-m, --model=""
    iOS Model (i.e. D321AP)

--no-color[=false]
    disable colorize output

--proxy=""
    HTTP/HTTPS proxy

-_, --remove-commas[=false]
    replace commas in IPSW filename with underscores

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--skip-all[=false]
    always skip resumable IPSWs

-V, --verbose[=false]
    verbose output

-v, --version=""
    iOS Version (i.e. 12.3.1)

--white-list=[]
    iOS device white list

SEE ALSO
ipsw-download(1)

HISTORY
10-Jun-2025 Auto generated by spf13/cobra